Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451109 - polling SATA DVD-drive
Summary: polling SATA DVD-drive
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: hal
Version: 19
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 20:25 UTC by Sean Middleditch
Modified: 2013-04-08 18:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-08 18:40:31 UTC


Attachments (Terms of Use)

Description Sean Middleditch 2008-06-12 20:25:41 UTC
I have this running:
hald-addon-storage: polling /dev/sr0 (every 2 sec)

It is my understanding that SATA CD/DVD drives do not need polling to check for
new media.  If this is the case, why is HAL polling /dev/sr0 ?

Comment 1 David Zeuthen 2008-06-12 23:30:31 UTC
(In reply to comment #0)
> I have this running:
> hald-addon-storage: polling /dev/sr0 (every 2 sec)
> 
> It is my understanding that SATA CD/DVD drives do not need polling to check for
> new media.  

It is correct that SATA optical drives implementing the SATA AN spec does not
need to be polled. I'm not entirely sure if all SATA optical drives needs to
implement it or if it's optional. Either way the kernel will tell us if the
drive supports AN.

> If this is the case, why is HAL polling /dev/sr0 ?

The kernel interface changed from when support for detecting AN drives was
implemented in HAL. Haven't had time to update it. Will fix this for F10 one way
or the other.


Comment 2 Sean Middleditch 2008-09-17 02:45:42 UTC
I'm still getting the poll behavior on latest rawhide.  Anything else I can do to help?  e.g. any way to get a hardware feature dump for the drive to see if it's just a crappy drive, if the software side has been updated already?

Comment 3 Scott Glaser 2009-04-09 18:44:57 UTC
Sean,
Are you still running Fedora 9, or have you upgraded to 10 or Rawhide? In
either case, can you let us know whether the issue is still happening, and give
the current version of the HAL packages you're using?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Sean Middleditch 2009-04-23 17:16:35 UTC
Scott, I am on Rawhide (updated daily) and I still see it:

2431 ?        S      0:08 hald-addon-storage: polling /dev/sr0 (every 2 sec)

not sure if this is related at all, but the device kit stuff says:

2766 ?        S      0:00 devkit-disks-daemon: not polling any devices

(should I be running both hal and devicekit?  wouldn't be surprised if upgrading through rawhide like that has left some cruft around)

package version of hal and devicekit:

hal-0.5.12-26.20090226git.fc11.x86_64
hal-libs-0.5.12-26.20090226git.fc11.x86_64
hal-cups-utils-0.6.19-2.fc11.x86_64
hal-info-20090414-1.fc11.noarch
DeviceKit-power-008-0.1.20090401git.fc11.x86_64
DeviceKit-003-1.x86_64
DeviceKit-disks-004-0.10.20090415git.fc11.x86_64

Comment 5 Scott Glaser 2009-04-23 17:59:07 UTC
Sean,

I will have to defer to the maintainer as to whether or not both should be enabled at the same time. 

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Bug Zapper 2009-06-10 01:34:53 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Sean Middleditch 2009-06-10 15:24:28 UTC
in response to automatic post above: still happening on Fedora 11 release.

Comment 8 Scott Glaser 2009-09-09 11:54:53 UTC
Have you tried with the latest hal package in Fedora 11 or tried Rawhide? In
either case, can you let us know whether the issue is still happening, and give
the current version of the HAL packages you're using?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 9 Sean Middleditch 2009-09-09 16:55:48 UTC
root      1020  0.0  0.0  24276  1248 ?        S    Sep07   0:41 hald-addon-storage: polling /dev/sr0 (every 2 sec)

still happening in rawhide.

hal-0.5.13-7.fc12.x86_64

Comment 10 Scott Glaser 2009-09-10 11:45:36 UTC
Based on the information in comment 9 I am changing this to RAWHIDE.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 11 Bug Zapper 2009-11-16 08:08:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2010-11-04 11:52:51 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Sean Middleditch 2010-11-08 04:26:59 UTC
 1537 ?        S      0:33 udisks-daemon: polling /dev/sr0

Still happening, only now its the udisks-daemon instead of hal.

udisks-1.0.1-4.fc14.x86_64

Worth noting that this is entirely new hardware compared to the last time I updated the bug.  I'm willing to believe its a limitation of my CD drive or even a misunderstanding of what "polling /dev/sr0" actually means, but some information/clarification would be necessary for me before I can consider this closed.

Comment 14 Alexander Hunt 2011-01-12 03:18:46 UTC
I have this same behaviour happening. What I don't understand is why it is polling when the FireWire DVD drive isn't even plugged in to the computer. I could understand if the device was active and udisks was polling to see if a disk had been inserted.
Info:
Polling is approx. every 2 seconds; polling /dev/sr0
I'm running a fresh install of F14-x86_64 (installed Jan. 4, 2011) with all updates.
udisks version is: 1.0.1-4.fc14 (x86_64)
DVD drive is a new Lacie DVD-RW firewire external.

Comment 15 Alexander Hunt 2011-01-24 00:37:11 UTC
First off, I apologize that I had the drive completely wrong. It turns out /dev/sr0 on my machine is the internal CD-RW of my notebook. So much for always doing my homework; Sorry.

I found some info in the Fedora 14 Manual about disabling the polling behavior here:

http://docs.fedoraproject.org/en-US/Fedora/14/html/Power_Management_Guide/Example_Laptop.html

where it says this:

*disable CD-ROM polling (part of the laptop-battery-powersave profile):

ex: hal-disable-polling --device /dev/scd*

which I modified for my computer:

hal-disable-polling --device /dev/sr0

I ran that in the terminal, and it does stop the polling. It also made no difference to detection of CD's inserted in the drive, although polling started again at some point (I'll have to figure out when with more tests). The detection may have something to do with my particular computer which is a MacBook 2.1. I don't know how well detection of disks will work with a computer that uses a traditional BIOS. As an aside I killed the polling and now the disk won't eject, so maybe constant polling does have some value to people who actually use their drive. I don't as a rule unless I have no choice, so this workaround is fine for me and I can eject the disk at the next bootup...lol.

Comment 17 Fedora End Of Life 2013-04-03 18:47:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 18 Matthias Clasen 2013-04-08 18:40:31 UTC
I think this bug should be closed. We're not using hal anymore.


Note You need to log in before you can comment on or make changes to this bug.